id: org.kicad.KiCad.Nightly.Library.Templates
branch: nightly
runtime: org.kicad.KiCad.Nightly
runtime-version: nightly
sdk: org.freedesktop.Sdk//24.08
build-extension: true
separate-locales: false
appstream-compose: false
build-options:
  prefix: /app/extensions/Library/Templates
modules:
- name: kicad-templates
  buildsystem: cmake-ninja
  config-opts:
  - -DKICAD_DATA=/app/extensions/Library/Templates
  post-install:
  # Copy `kicad.kicad_pro` template file from main source tree
  - install -m644 --target-directory=${FLATPAK_DEST}/template kicad/resources/project_template/kicad.kicad_pro
  - install -Dm644 --target-directory=${FLATPAK_DEST}/share/metainfo org.kicad.KiCad.Nightly.Library.Templates.metainfo.xml
  sources:
  - type: git
    url: https://gitlab.com/kicad/libraries/kicad-templates.git
  # Add KiCad main repo into `kicad` subdir for `kicad.kicad_pro` template file
  - type: git
    url: https://gitlab.com/kicad/code/kicad.git
    dest: kicad
  - type: file
    path: org.kicad.KiCad.Nightly.Library.Templates.metainfo.xml
